FoxData Open API
My License
My License
  1. 3. ASA Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. application Services
      • 1001-App-Basic Info
      • 1002-App-Extended Info
      • 1003-App-Visibility Score
      • 1004-App-Apps by Same Developer
      • 1005-App-Ranking History
      • 1006-App-Featured Recommendations
      • 1007-App-Ratings & Reviews
      • 1008-App-Version History
      • 1009-App-Competitor Comparison
      • 1010-App-Competitor Bidding
      • 1011-App-Covered Keywords
      • 1012-App-Keyword Expansion
      • 1013-App-Bidding Keywords
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Retrieval
      • 1014-App-Bidding Keyword Periodic Monitoring-Data Retrieval
      • 1015-App-CPP Ad Creatives
      • 1016-App-App Tags
      • 1017-App-Download & Revenue Estimates
      • 1018-App-Smart Keyword Recommendations
      • 1019-App-Active Users
      • 1020-App-Basic Info (Advanced)
      • 1021-App-CPP Keywords
    • 2. Market Services
      • 2001-Market-Realtime Charts
      • 2002-Market-Global Chart Analysis
      • 2003-Market-Search Volume Charts
      • 2004-Market-Download & Revenue Charts
      • 2005-Market-Active Users & Customers
      • 2006-Market-App Release Monitoring
      • 2007-Market-Cleared Keyword Monitoring
      • 2008-Market-Cleared Ranking Monitoring
      • 2009-Market-App Delisting Monitoring
    • 3. ASA Services
      • 3001-Ad-Bidding Apps
        POST
      • 3002-Ad-Bidding Keywords
        POST
      • 3003-Ad-Bidding Keyword Analysis
        POST
      • 3004-Ad-CPPs
        POST
      • 3005-ASA Tab Rate Task
        POST
      • 3005-ASA Tab Rate Result
        POST
    • 4. Kerword research Services
      • 4001-Keyword Search
      • 4002-Keyword Expansion
      • 4003-Keyword Search Details
      • 4004-App-App Keywords
    • 9. Other Services
      • 9001-Paginated Query API
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 3. ASA Services

3004-Ad-CPPs

POST
/cpp/ad
Query CPP ad records by country, category, and keyword.

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Body Params application/json

Example
{
  "region": "CN",
  "category": "",
  "keyword": "加速器",
  "dateRangeType": "DAY_7",
  "limit": "TOP_200"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.foxdata.com/apiv1/open-api/cpp/ad' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "region": "CN",
  "category": "",
  "keyword": "加速器",
  "dateRangeType": "DAY_7",
  "limit": "TOP_200"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "requestParam": {
    "region": "CN",
    "category": "",
    "keyword": "加速器",
    "dateRangeType": "DAY_7",
    "limit": "TOP_200"
  },
  "result": {
    "appInfoMap": {
      "741292507": {
        "appName": "小红书 – 你的生活兴趣社区",
        "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple221/v4/4d/03/58/4d035872-ed76-5454-db0a-b5c608a510a3/AppIcon-0-0-1x_U007emarketing-0-8-0-85-220.png/88x88w.png"
      }
    },
    "cpps": [
      {
        "appId": "1244505010",
        "content": [
          "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/50/72/0e/50720e7a-b797-623f-1682-02fc6f019dbe/754342b4-025f-4a5d-b821-3dd4dbbbeeca_1.png/720x0w.png",
          "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/5c/99/68/5c996881-7f22-e1ac-af29-277a30be17eb/43434a58-2d53-4003-8489-13d1cb1f51a6_2.png/720x0w.png"
        ],
        "firstOccurTime": null,
        "lastOccurTime": null,
        "keywords": [
          {
            "keyword": "steam",
            "pop": 81
          },
          {
            "keyword": "pubg mobile",
            "pop": 78
          }
        ]
      }
    ]
  },
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 500,
    "extraCredits": 0,
    "totalCostCredits": 500
  },
  "next": null
}
Modified at 2026-06-25 05:44:00
Previous
3003-Ad-Bidding Keyword Analysis
Next
3005-ASA Tab Rate Task
Built with